cpanel-dovecot-solr (9.8.0-2+2.1.cpanel) stable; urgency=low

  * Build for AlmaLinux 10 and Ubuntu 24

 -- Travis Holloway <travis.holloway@webpros.com>  Mon, 30 Jun 2025 00:00:00 -0000

cpanel-dovecot-solr (9.8.0-1) stable; urgency=low

  * HB-8189: Update to 9.8.0
  * Fixes CVE-2024-52012 and CVE-2025-24814

 -- Rikus Goodell <rikus.goodell@webpros.com>  Mon, 10 Feb 2025 00:00:00 -0000

cpanel-dovecot-solr (8.11.4-1) stable; urgency=low

  * HB-8016: Update to new upstream 8.11.4
  * Fixes CVE-2024-45216 and CVE-2024-45217

 -- B. McMahon <benjamin.mcmahon@webpros.com>  Mon, 28 Oct 2024 00:00:00 -0000

cpanel-dovecot-solr (8.11.3-1) stable; urgency=low

  * BOO-3805: Update to new upstream 8.11.3
  * Fixes CVE-2023-50291, CVE-2023-50292, CVE-2023-50298, CVE-2023-50386

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Tue, 06 Feb 2024 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-11) stable; urgency=low

  * HB-7259: Fix disable of service on upgrade for Ubuntu
  * Remove vestigial logic and init scripts relating to CentOS 6 and lower
  * Ensure firewall script with 'stop' arg is executed in ExecStopPost

 -- Thomas "Andy" Baugh <andy.baugh@webpros.com>  Tue, 06 Feb 2024 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-10) stable; urgency=low

  * CPANEL-43492: Fixed startup for Ubuntu installs when previously installed

 -- Tim Mullin <tim@cpanel.net>  Mon, 18 Dec 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-9) stable; urgency=low

  * CPANEL-43495: Fixed queuing the startup of the cpanel-dovecot-solr service

 -- Tim Mullin <tim@cpanel.net>  Wed, 13 Dec 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-8) stable; urgency=low

  * CPANEL-43528: Also require java-1.8.0-openjdk-headless for CentOS 6 and 7

 -- Tim Mullin <tim@cpanel.net>  Fri, 10 Nov 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-7) stable; urgency=low

  * CPANEL-43451: Tweak requires block to fix unresolvable update on Alma 8

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 24 Oct 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-6) stable; urgency=low

  * ZC-11267: Remove `cp1180` from deb version

 -- Dan Muey <dan@cpanel.net>  Thu, 05 Oct 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-5) stable; urgency=low

  * Remove needless commands in prerm script which could cause chksrvd mailing on
  uninstall.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 07 Jul 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-4) stable; urgency=low

  * Queue restart of solr on install for RHEL 9 variants, as merely ensuring
  java-headless is installed on RHEL 9 variants before running %post apparently
  isn't good enough to ensure the JRE bin exists when we try restarting.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 31 May 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-3) stable; urgency=low

  * Fix Requirement for java-headless on RHEL 9 variants.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 31 May 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-2) stable; urgency=low

  * Updated cpanel_dovecot_solr_firewall to use proper IP tables module

 -- Tim Mullin <tim@cpanel.net>  Wed, 10 May 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.2-1) stable; urgency=low

  * Upstream update to 8.11.2

 -- Tim Mullin <tim@cpanel.net>  Wed, 04 Jan 2023 00:00:00 -0000

cpanel-dovecot-solr (8.11.1-1) stable; urgency=low

  * Upstream update to 8.11.1 which contains log4j 2.16.0 which
  addresses CVE-2021-44228 and CVE-2021-45046

 -- Tim Mullin <tim@cpanel.net>  Thu, 16 Dec 2021 00:00:00 -0000

cpanel-dovecot-solr (8.8.2-5) stable; urgency=low

  * Remove JndiLookup.class from log4j to mitigate CVE-2021-45046

 -- Stephen Bee <stephen@cpanel.net>  Tue, 14 Dec 2021 00:00:00 -0000

cpanel-dovecot-solr (8.8.2-4) stable; urgency=low

  * CPANEL-39455: Add mitigation for CVE-2021-44228

 -- Tim Mullin <tim@cpanel.net>  Fri, 10 Dec 2021 00:00:00 -0000

cpanel-dovecot-solr (8.8.2-3) stable; urgency=low

  * HB-6229: Initial Ubuntu package support

 -- Darren Mobley <darren@cpanel.net>  Wed, 20 Oct 2021 00:00:00 -0000

cpanel-dovecot-solr (8.8.2-1) stable; urgency=low

  * CPANEL-36632: Update to upstream release 8.8.2

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 15 Apr 2021 00:00:00 -0000

cpanel-dovecot-solr (8.2.0-4) stable; urgency=low

  * Updated firewall configuration script for CentOS 8

 -- Thomas A. Baugh <thomas.baugh@cpanel.net>  Wed, 29 Jul 2020 00:00:00 -0000

cpanel-dovecot-solr (8.2.0-3) stable; urgency=low

  * Updated dovecot extraction path for CentOS 8

 -- Darren Mobley <darren@cpanel.net>  Wed, 29 Jul 2020 00:00:00 -0000

cpanel-dovecot-solr (8.2.0-2) stable; urgency=low

  * Remove Cpanel::Class as we now use Moo
  * Make the module worth with the Cpanel::Class or Moo version of
  restartsrv_base

 -- J. Nick Koston <nick@cpanel.net>  Tue, 27 Aug 2019 00:00:00 -0000

cpanel-dovecot-solr (8.2.0-1) stable; urgency=low

  * Update to upstream release 8.2.0
  * Disable RMI ports
  * Fix several packaging mistakes in spec file

 -- John Lightsey <jd@cpanel.net>  Thu, 08 Aug 2019 00:00:00 -0000

cpanel-dovecot-solr (8.1.1-5) stable; urgency=low

  * Fix STOP_KEY definition in patched solr script.

 -- Felipe Gasper <felipe@cpanel.net>  Tue, 02 Jul 2019 00:00:00 -0000

cpanel-dovecot-solr (8.1.1-4) stable; urgency=low

  * Silence spurious “Broken pipe” errors on RPM installation.

 -- Felipe Gasper <felipe@cpanel.net>  Mon, 24 Jun 2019 00:00:00 -0000

cpanel-dovecot-solr (8.1.1-3) stable; urgency=low

  * Auto-repair missing cpanel_dovecot_solr.service symlink on upgrade to
  the latest Solr RPM.

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 21 Jun 2019 00:00:00 -0000

cpanel-dovecot-solr (8.1.1-2) stable; urgency=low

  * CentOS 7: Fix “leftover” hard link when RPM is uninstalled.
  * CentOS 7: Fix permissions of cpanel-dovecot-solr.service.

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 20 Jun 2019 00:00:00 -0000

cpanel-dovecot-solr (8.1.1-1) stable; urgency=low

  * Update to upstream release 8.1.1.

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 14 Jun 2019 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-7.cp1162) stable; urgency=low

  * Added a script to rebuild the index.
  * The maintenance script will now check for errors.
  * An index rebuild will be done if there have been no errors in
  three days.
  * An iContact email will be sent if failures continue to happen.

 -- Jared Wright <jared.wright@cpanel.net>  Tue, 09 Apr 2019 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-6.cp1162) stable; urgency=low

  * There are now 5 subpackages. All are needed to fully install Apache Solr.
  * Remove /etc/cpanel-dovecot-solrdisable on fresh installs.

 -- Jared Wright <jared.wright@cpanel.net>  Thu, 26 Jul 2018 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-5.cp1162) stable; urgency=low

  * Do not show stop key in process listing.

 -- Michael Karr <michael.karr@cpanel.net>  Fri, 23 Feb 2018 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-4.cp1162) stable; urgency=low

  * Fix title of “Solr” to “Apache Solr™”

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 28 Dec 2017 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-3.cp1162) stable; urgency=low

  * Added usage text to the cpanel_dovecot_solr_firewall script.

 -- Jason Kiniry <jason@cpanel.net>  Thu, 09 Nov 2017 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-2.cp1162) stable; urgency=low

  * Added a restartsrv symlink for the service.
  * Added a symlink name normalization for the systemd service.
  * Added Utils module and refactored config credentials reading.
  * Added a new check sub to the ServiceManger module.
  * Added a new restart script for chkservd
  * Updated the chkservd driver to use the restart script
  * Cleaned up the spec file a bit

 -- Jason Kiniry <jason@cpanel.net>  Tue, 24 Oct 2017 00:00:00 -0000

cpanel-dovecot-solr (6.6.2-1.cp1162) stable; urgency=low

  * Update for CVE-2017-12629

 -- J. Nick Koston <nick@cpanel.net>  Thu, 19 Oct 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-9.cp1162) stable; urgency=low

  * Update chkservd path to /solr/dovecot/ for imporved checking

 -- J. Nick Koston <nick@cpanel.net>  Wed, 11 Oct 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-8.cp1162) stable; urgency=low

  * Include a ServiceManager module for cPanel & WHM v68+.

 -- Felipe Gasper <felipe@cpanel.net>  Wed, 21 Jun 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-7.cp1162) stable; urgency=low

  * Require iptables RPM on CentOS 7 that groks a number with “-w”; earlier
  versions didn’t understand the number. (cf. Red Hat Bugzilla #1156411)

 -- Felipe Gasper <felipe@cpanel.net>  Wed, 17 May 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-6.cp1162) stable; urgency=low

  * Allow up to 4 hours for the maint script to run.

 -- J. Nick Koston <nick@cpanel.net>  Fri, 28 Apr 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-5.cp1162) stable; urgency=low

  * Don’t start the service on RPM upgrade if the service is disabled.

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 27 Apr 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-4.cp1162) stable; urgency=low

  * Update chkservd driver to check for HTTP 302

 -- Felipe Gasper <felipe@cpanel.net>  Mon, 24 Apr 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-3.cp1162) stable; urgency=low

  * Disable cron scripts when the service is disabled in service manager

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 31 Mar 2017 00:00:00 -0000

cpanel-dovecot-solr (6.4.0-2.cp1162) stable; urgency=low

  * Replace the need for lsof with cpanel_dovecot_solr_isonline
  * lsof is broken under CloudLinux with ptrace disabled
  * lsof is broken with GRS kernel ptrace block

 -- J. Nick Koston <nick@cpanel.net>  Wed, 29 Mar 2017 00:00:00 -0000

cpanel-dovecot-solr (2.2.27-2.cp1162) stable; urgency=low

  * Merge in cPanel specific patches and init

 -- J. Nick Koston <nick@cpanel.net>  Wed, 01 Feb 2017 00:00:00 -0000

cpanel-dovecot-solr (2.2.27-1) stable; urgency=low

  * Added JDBC driver

 -- bwong <bwong114@gmail.com>  Wed, 11 Sep 2013 00:00:00 -0000

cpanel-dovecot-solr (2.2.27-0) stable; urgency=low

  * First version

 -- bwong <bwong114@gmail.com>  Thu, 20 Dec 2012 00:00:00 -0000

